Subject: Bug#1513: X2Go client v4.1.2.x (mswin32) crashes when starting "gitk"

From: "Abt, Johannes" <[email-masked]>
Date: Mon, 28 Dec 2020 09:57:23 +0000

Package: x2goclient
Version: 4.1.2.2

I'm using x2goclient on Win10. 

Steps to reproduce the problem:

* I start/resume a session on RHEL7.4 with x2goserver-4.1.0.3-9.el7.x86_64. I used "konsole" to start my custom session.
* I change to a directory that is under git revision control.
* I start "gitk".

Result: A window pops up: "VcXsrv windows xserver has stopped working: "A problem caused the program to stop working correctly. Windows will close the program and notify you if a solution is available." Button: "Close program" All remote windows are closed.

When I resume the session, the "gitk" window is "restored" as open. It seems there has not been any problem for the x2goserver.

Same problem for all other x2goclient versions known to me on MS Windows (i.e. since 2015).